FreeBSD : lighttpd -- Log injection vulnerability in mod_auth (dd7f29cc-3ee9-11e5-93ad-002590263bf5)

Medium Nessus Plugin ID 85319


The remote FreeBSD host is missing a security-related update.


MITRE reports :

mod_auth in lighttpd before 1.4.36 allows remote attackers to inject arbitrary log entries via a basic HTTP authentication string without a colon character, as demonstrated by a string containing a NULL and new line character.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 85319

File Name: freebsd_pkg_dd7f29cc3ee911e593ad002590263bf5.nasl

Version: $Revision: 2.2 $

Type: local

Published: 2015/08/11

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:lighttpd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/08/10

Vulnerability Publication Date: 2015/05/25

Reference Information

CVE: CVE-2015-3200